unit fchanges;

{$mode objfpc}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  StdCtrls;

type

  { TFirmwareChangesForm }

  TFirmwareChangesForm = class(TForm)
    CloseButton: TButton;
    FirmwareChangesMemo: TMemo;
    procedure CloseButtonClick(Sender: TObject);
    procedure FirmwareChangesMemoChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  FirmwareChangesForm: TFirmwareChangesForm;

implementation

uses appsettings;

{ TFirmwareChangesForm }

procedure TFirmwareChangesForm.FirmwareChangesMemoChange(Sender: TObject);
begin

end;

procedure TFirmwareChangesForm.CloseButtonClick(Sender: TObject);
begin
  Close;
end;

procedure TFirmwareChangesForm.FormCreate(Sender: TObject);
var
 File1: TextFile;
 Str: String;
begin
    if FileExists(appsettings.DataDirectory+'/fchanges.txt') then
    begin
      AssignFile(File1,appsettings.DataDirectory+'/fchanges.txt');
      {$I-}//Temporarily turn off IO checking
      try
        Reset(File1);
        FirmwareChangesMemo.Clear;
        repeat
          Readln(File1, Str); // Reads a whole line from the file.
          FirmwareChangesMemo.Lines.Add(Str);
        until(EOF(File1)); // EOF(End Of File) keep reading new lines until end.
        CloseFile(File1);
      except
        //StatusMessage('File: __.txt IOERROR!', clYellow);
      end;
      {$I+}//Turn IO checking back on.
    end;
  //else
   //StatusMessage('File: __.txt does not exist!', clYellow);

end;

initialization
  {$I fchanges.lrs}

end.

