unit versioninfo;

{$mode objfpc}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  StdCtrls;

type

  { TVersionInfoForm }

  TVersionInfoForm = class(TForm)
    CloseButton: TButton;
    Memo1: TMemo;
    procedure CloseButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  VersionInfoForm: TVersionInfoForm;

implementation

uses Unit1, appsettings;

{ TVersionInfoForm }

procedure TVersionInfoForm.CloseButtonClick(Sender: TObject);
begin
     Close;
end;

procedure TVersionInfoForm.FormCreate(Sender: TObject);
var
 File1: TextFile;
 Str: String;
begin
  {Display Changelog.txt }
    if FileExists(appsettings.DataDirectory+'/changelog.txt') then
    begin
      AssignFile(File1,appsettings.DataDirectory+'/changelog.txt');
      {$I-}//Temporarily turn off IO checking
      try
        Reset(File1);
        Memo1.Clear;
        repeat
          Readln(File1, Str); // Reads a whole line from the file.
          Memo1.Lines.Add(Str);
        until(EOF(File1)); // EOF(End Of File) keep reading new lines until end.
        CloseFile(File1);
      except
        //StatusMessage('File: changelog.txt IOERROR!', clYellow);
      end;
      {$I+}//Turn IO checking back on.
    end;
  //else
   //StatusMessage('File: changelog.txt does not exist!', clYellow);

end;

initialization
  {$I versioninfo.lrs}

end.

